module.exports = app => {
  const template = require("../controllers/template.controller.js");
  var router = require("express").Router();
  router.post("/add", template.add);
  router.post("/all", template.all);
  router.post("/addcohort", template.addcohort);
  router.post("/byid", template.byid);
  router.post("/delete", template.delete);
  router.post("/hybrid_add", template.hybrid_add);
  router.post("/hybrid_all", template.hybrid_all);
  router.post("/hybrid_get_save_schedule", template.hybrid_get_save_schedule);
  router.post("/hybrid_update", template.hybrid_update);
  router.post("/hybridtemplatedelete", template.hybridtemplatedelete);
  router.post("/update", template.update);
  router.post("/update_cohort_videomind", template.update_cohort_videomind);
  router.post("/update_domain", template.update_domain);
  router.post("/updatecohorttemp", template.updatecohorttemp);
  app.use('/template', router);
};
